Bug 493303 - Wrong dpi settings for 10.2" 1024x600 screen
Wrong dpi settings for 10.2" 1024x600 screen
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 06:50 EDT by Jurgen Kramer
Modified: 2009-11-22 04:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-22 04:05:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log which shows incorrect DPI setting (96,96) (30.46 KB, text/plain)
2009-04-01 06:50 EDT, Jurgen Kramer
no flags Details
Screen from desktop with incorrect DPI settings (621.90 KB, image/png)
2009-04-01 06:51 EDT, Jurgen Kramer
no flags Details
Screen from desktop with manually adjusted DPI settings (286.50 KB, image/png)
2009-04-01 06:52 EDT, Jurgen Kramer
no flags Details
output from corrected DPI settings (19.33 KB, text/plain)
2009-04-14 11:35 EDT, Jurgen Kramer
no flags Details
output from uncorrected DPI settings (19.33 KB, text/plain)
2009-04-14 11:36 EDT, Jurgen Kramer
no flags Details
xdpyinfo output from ubuntu 904 (10.61 KB, text/plain)
2009-04-17 07:39 EDT, Jurgen Kramer
no flags Details
xrandr output ubuntu 904rc (427 bytes, text/plain)
2009-04-17 07:40 EDT, Jurgen Kramer
no flags Details
ubuntu 904rc screenshot, correct dpi/fonts size (211.82 KB, image/png)
2009-04-17 07:40 EDT, Jurgen Kramer
no flags Details

  None (edit)
Description Jurgen Kramer 2009-04-01 06:50:06 EDT
Created attachment 337483 [details]
Xorg.0.log which shows incorrect DPI setting (96,96)

Description of problem:
After logging in to the desktop the used DPI / font settings look like the screen is set to something like 640x480 instead of 1024x600 possibly because of the wrong DPI setting.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.6.99.902-1.fc11.i586

How reproducible:
alway

Steps to Reproduce:
1. Boot in F11 beta
2. Log in
3. Check desktop
  
Actual results:
As described above. Font look way to large, while still at there default 10pt settings the look much larger.

Expected results:
Correct DPI settings used, desktop looks like the one in 2nd attachment.

Additional info:
When I manually change to DPI setting to a more appropriate 116 DPI I still have to bring up the System->Preferences->Appearance tool to make these settings work (see attachments).
Comment 1 Jurgen Kramer 2009-04-01 06:51:18 EDT
Created attachment 337484 [details]
Screen from desktop with incorrect DPI settings
Comment 2 Jurgen Kramer 2009-04-01 06:52:38 EDT
Created attachment 337485 [details]
Screen from desktop with manually adjusted DPI settings

Screenshot from desktop with manually adjusted DPI settings after the Appearance tool has been started (!).
Comment 3 Jurgen Kramer 2009-04-01 06:54:12 EDT
The correct settings where achieved by manually editing xorg.conf:

Section "Monitor"
	Identifier "Monitor0"
	VendorName "Samsung"
	ModelName "NC10-1024x600"
	DisplaySize 223 130 # 1024x600 116 DPI
EndSection

Section "Screen"
	Identifier "Screen0"
	Monitor "Monitor0"
EndSection
Comment 4 Adam Jackson 2009-04-13 18:51:02 EDT
What do 'xdpyinfo' and 'xrandr -q' print with the uncorrected xorg.conf?
Comment 5 Jurgen Kramer 2009-04-14 11:35:28 EDT
Created attachment 339515 [details]
output from corrected DPI settings
Comment 6 Jurgen Kramer 2009-04-14 11:36:16 EDT
Created attachment 339516 [details]
output from uncorrected DPI settings
Comment 7 Adam Williamson 2009-04-16 16:59:15 EDT
Doesn't GNOME these days default to 96dpi, disregarding the X.org setting, on all systems by default? ISTR reading about this a while back - it was felt that people expected this behaviour, and there were still too many idiosyncracies when running at DPIs other than 96.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Jurgen Kramer 2009-04-17 07:36:35 EDT
OK, I've tried the Ubuntu 9.04RC live CD for good measure. The default desktop shows up as I aspect with 'normal' looking fonts despite Xorg.0.log shows a 96x96 DPI settings. We must be doing something wrong with F11...but what...?

I've attached the output from xdpyinfo, xrandr -q and a screenshot from Ubuntu 9.04RC.
Comment 9 Jurgen Kramer 2009-04-17 07:39:35 EDT
Created attachment 339996 [details]
xdpyinfo output from ubuntu 904
Comment 10 Jurgen Kramer 2009-04-17 07:40:09 EDT
Created attachment 339997 [details]
xrandr output ubuntu 904rc
Comment 11 Jurgen Kramer 2009-04-17 07:40:50 EDT
Created attachment 339998 [details]
ubuntu 904rc screenshot, correct dpi/fonts size
Comment 12 Bug Zapper 2009-06-09 08:56:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Matěj Cepl 2009-11-05 13:24:12 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 15 Jurgen Kramer 2009-11-22 04:05:27 EST
Just installed F12, everything looks good now.

Note You need to log in before you can comment on or make changes to this bug.